[NPM/YARN] npm install / yarn install에서 fsevent 관련 에러

아 주말내내 빡쳐서 진짜 이 에러때메.. 평소엔 잘 되던게 갑자기 그런다.

무슨 fsevent에서 권한이 없다는 얘기도 나오고..

이건 에러인지 아닌지 간음도 잘 안되고 ㅎㅎㅎ

이 에러는 결국 cache와 npm/yarn 의 캐시 등이 충돌나서 그런 에러로 스스로 판별내렸다.

해결 방법은 그냥 npm과 yarn의 재설치.

// 기존 파일 삭제

$ rm -rf ./node_modules

$rm package-lock.json

$rm yarn.ock

// 캐시 리셋

$npm cache clean

// NPM/YARN 재설치

$brew remove node

$brew remove yarn

(brew로 설치했을 경우. npm으로 깔았으면 npm remove yarn)

$brew install node && brew install yarn

// Dependencies 재설치

$npm i 혹은 yarn install

일단 여기서 에러나나 확인해보고, 정 안되면 package.json을 하나씩 지워가며 확인할 수 밖에 없다.

혹은 sudo npm i로 관리자로도 해보고.. 여튼 이 에러는 개인적인 느낌이지만, 어떤 한 package가 잘못 설치되서 그게 충돌을 일으켜서 발생하는 에러같다.

Software Engineer @Google in Silicon Valley, Carnegie Mellon University MSSM 21' AI기반 생활습관 서비스 스타트업 유라임 (Urhyme) (전)대표. 전 금융권 풀스택 소프트웨어 엔지니어. 실리콘벨리, 스타트업 이야기를 주로 씁니다. 대용량 분산처리 (주로 데이터, 머신러닝) 웹 서비스 설계와 데이터 시각화, 스타트업에 관심이 많습니다.

Translate »